local SideBarSignCell = class("SideBarSignCell", SideBarBaseCell)

function SideBarSignCell:getModuleKey()
    -- return ModuleManager.MODULE_KEY.TASK
end

function SideBarSignCell:getIsOpen()
    return DataManager.SignWeekData:isOpen()-- or DataManager.SignMonthData:isOpen()
end

function SideBarSignCell:getSpineName()
    return "ui_main_btn_act_bounty_signin"
end

function SideBarSignCell:onClick()
    ModuleManager.SignManager:showSignUI()
end

function SideBarSignCell:getIsShowRedPoint()
    return DataManager.SignWeekData:showRedPoint()-- or DataManager.SignMonthData:showRedPoint()
end

function SideBarSignCell:getCellName()
    return I18N:getGlobalText(I18N.GlobalConst.ACT_BOUNTY_SIGNIN_DESC_8)
end

return SideBarSignCell